| helics 3.6.1

Public Types | Static Public Member Functions | List of all members
helics::ValueConverter< std::vector< std::string > > Class Reference

## Public Types
using | baseType = std::vector< std::string >

## Static Public Member Functions
static SmallBuffer | convert (const std::vector< std::string > &val)
static void | convert (const std::vector< std::string > &val, SmallBuffer &store)
static void | interpret (const data_view &block, std::vector< std::string > &val)
static std::vector< std::string > | interpret (const data_view &block)
static std::string | type ()

## Member Function Documentation

## ◆ convert() [1/2]

static SmallBuffer helics::ValueConverter< std::vector< std::string > >::convert | ( | const std::vector< std::string > & | val | ) |
| inline static

convert the value to a block of data

References helics::ValueConverter< X >::convert().

## ◆ convert() [2/2]

void helics::ValueConverter< std::vector< std::string > >::convert | ( | const std::vector< std::string > & | val,
|  | SmallBuffer & | store
| ) |  |
| static

convert the value and store to a specific block of data

References helics::ValueConverter< X >::convert().

## ◆ interpret() [1/2]

static std::vector<std::string> helics::ValueConverter< std::vector< std::string > >::interpret | ( | const data_view & | block | ) |
| inline static

interpret a view of the data and convert back to a val

References helics::ValueConverter< X >::interpret().

## ◆ interpret() [2/2]

void helics::ValueConverter< std::vector< std::string > >::interpret | ( | const data_view & | block,
|  | std::vector< std::string > & | val
| ) |  |
| static

interpret a view of the data block and store to the specified value

References helics::ValueConverter< X >::interpret().

## ◆ type()

static std::string helics::ValueConverter< std::vector< std::string > >::type | ( |  | ) |
| inline static

get the type of the value

The documentation for this class was generated from the following files:

- ValueConverter.hpp
- ValueConverter.cpp